Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.oci.xa
Class XADataSource

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.XADataSource

public final class XADataSource
extends java.lang.Object
implements javax.sql.XADataSource, javax.transaction.xa.XAResource, java.io.Serializable

XADataSource is a factory for XA connections. It also provides XAResource functionality on top of Oracle's C XA switch. XADataSource is implemented as a JavaBean and exposes its data source properties by conforming to the JavaBean design patterns.

Author:
  Copyright (c) 1998-2000 by BEA WebXpress, Inc. All Rights Reserved.
See Also:
  Serialized Form

Method Summary
`void` | `commit(javax.transaction.xa.Xid xid, boolean onePhase)`
`void` | `end(javax.transaction.xa.Xid xid, int flags)`
`void` | `forget(javax.transaction.xa.Xid xid)`
`java.lang.String` | `getCloseInfo()`
`java.lang.String` | `getDatabaseName()`
`java.lang.String` | `getDataSourceName()`
`java.lang.String` | `getDescription()`
`int` | `getLoginDelaySeconds()`
`int` | `getLoginTimeout()`
`java.io.PrintWriter` | `getLogWriter()`
`java.lang.String` | `getNetworkProtocol()`
`java.lang.String` | `getOpenString()`
`java.lang.String` | `getPassword()`
`int` | `getPortNumber()`
`java.lang.String` | `getRoleName()`
`java.lang.String` | `getServerName()`
`int` | `getTransactionTimeout()`
`java.lang.String` | `getUser()`
`javax.sql.XAConnection` | `getXAConnection()`
`javax.sql.XAConnection` | `getXAConnection(java.lang.String user, java.lang.String password)`
`java.lang.String` | `getXAPassword()`
`void` | `internalCommit(javax.transaction.xa.Xid xid, boolean onePhase, boolean retry)`
`void` | `internalEnd(javax.transaction.xa.Xid xid, int flags, boolean retry)`
`void` | `internalForget(javax.transaction.xa.Xid xid, boolean retry)`
`int` | `internalPrepare(javax.transaction.xa.Xid xid, boolean retry)`
`void` | `internalRollback(javax.transaction.xa.Xid xid, boolean retry)`
`void` | `internalStart(javax.transaction.xa.Xid xid, int flags, boolean retry)`
`boolean` | `isSameRM(javax.transaction.xa.XAResource xares)`
`int` | `prepare(javax.transaction.xa.Xid xid)`
`javax.transaction.xa.Xid[]` | `recover(int flags)` Returns the full batch of Xids of unresolved transactions from the RM.
`void` | `rollback(javax.transaction.xa.Xid xid)`
`void` | `setCloseInfo(java.lang.String closeinfo)`
`void` | `setDatabaseName(java.lang.String name)`
`void` | `setDataSourceName(java.lang.String name)`
`void` | `setDescription(java.lang.String des)`
`void` | `setLoginDelaySeconds(int secs)`
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(java.io.PrintWriter out)`
`void` | `setNetworkProtocol(java.lang.String np)`
`void` | `setOpenString(java.lang.String openString)`
`void` | `setPassword(java.lang.String pw)`
`void` | `setPortNumber(int port)`
`void` | `setRoleName(java.lang.String role)`
`void` | `setServerName(java.lang.String server)`
`boolean` | `setTransactionTimeout(int seconds)`
`void` | `setUser(java.lang.String user)`
`void` | `start(javax.transaction.xa.Xid xid, int flags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setDatabaseName

    public void setDatabaseName(java.lang.String name)

### getDatabaseName

    public java.lang.String getDatabaseName()

### setDataSourceName

    public void setDataSourceName(java.lang.String name)

### getDataSourceName

    public java.lang.String getDataSourceName()

### setDescription

    public void setDescription(java.lang.String des)

### getDescription

    public java.lang.String getDescription()

### setNetworkProtocol

    public void setNetworkProtocol(java.lang.String np)

### getNetworkProtocol

    public java.lang.String getNetworkProtocol()

### setPassword

    public void setPassword(java.lang.String pw)

### getPassword

    public java.lang.String getPassword()

### getXAPassword

    public java.lang.String getXAPassword()

### setPortNumber

    public void setPortNumber(int port)

### getPortNumber

    public int getPortNumber()

### setRoleName

    public void setRoleName(java.lang.String role)

### getRoleName

    public java.lang.String getRoleName()

### setServerName

    public void setServerName(java.lang.String server)

### getServerName

    public java.lang.String getServerName()

### setUser

    public void setUser(java.lang.String user)

### getUser

    public java.lang.String getUser()

### setOpenString

    public void setOpenString(java.lang.String openString)

### getOpenString

    public java.lang.String getOpenString()

### setCloseInfo

    public void setCloseInfo(java.lang.String closeinfo)

### getCloseInfo

    public java.lang.String getCloseInfo()

### setLoginDelaySeconds

    public void setLoginDelaySeconds(int secs)

### getLoginDelaySeconds

    public int getLoginDelaySeconds()

### getXAConnection

    public javax.sql.XAConnection getXAConnection()
                                           throws java.sql.SQLException

  Specified by:
    getXAConnection in interface javax.sql.XADataSource

### getXAConnection

    public javax.sql.XAConnection getXAConnection(java.lang.String user,
                                                  java.lang.String password)
                                           throws java.sql.SQLException

  Specified by:
    getXAConnection in interface javax.sql.XADataSource

### getLogWriter

    public java.io.PrintWriter getLogWriter()
                                     throws java.sql.SQLException

  Specified by:
    getLogWriter in interface javax.sql.XADataSource

### setLogWriter

    public void setLogWriter(java.io.PrintWriter out)
                      throws java.sql.SQLException

  Specified by:
    setLogWriter in interface javax.sql.XADataSource

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws java.sql.SQLException

  Specified by:
    setLoginTimeout in interface javax.sql.XADataSource

### getLoginTimeout

    public int getLoginTimeout()
                        throws java.sql.SQLException

  Specified by:
    getLoginTimeout in interface javax.sql.XADataSource

### start

    public void start(javax.transaction.xa.Xid xid,
                      int flags)
               throws javax.transaction.xa.XAException

  Specified by:
    start in interface javax.transaction.xa.XAResource

### internalStart

    public void internalStart(javax.transaction.xa.Xid xid,
                              int flags,
                              boolean retry)
                       throws javax.transaction.xa.XAException

### end

    public void end(javax.transaction.xa.Xid xid,
                    int flags)
             throws javax.transaction.xa.XAException

  Specified by:
    end in interface javax.transaction.xa.XAResource

### internalEnd

    public void internalEnd(javax.transaction.xa.Xid xid,
                            int flags,
                            boolean retry)
                     throws javax.transaction.xa.XAException

### prepare

    public int prepare(javax.transaction.xa.Xid xid)
                throws javax.transaction.xa.XAException

  Specified by:
    prepare in interface javax.transaction.xa.XAResource

### internalPrepare

    public int internalPrepare(javax.transaction.xa.Xid xid,
                               boolean retry)
                        throws javax.transaction.xa.XAException

### commit

    public void commit(javax.transaction.xa.Xid xid,
                       boolean onePhase)
                throws javax.transaction.xa.XAException

  Specified by:
    commit in interface javax.transaction.xa.XAResource

### internalCommit

    public void internalCommit(javax.transaction.xa.Xid xid,
                               boolean onePhase,
                               boolean retry)
                        throws javax.transaction.xa.XAException

### rollback

    public void rollback(javax.transaction.xa.Xid xid)
                  throws javax.transaction.xa.XAException

  Specified by:
    rollback in interface javax.transaction.xa.XAResource

### internalRollback

    public void internalRollback(javax.transaction.xa.Xid xid,
                                 boolean retry)
                          throws javax.transaction.xa.XAException

### forget

    public void forget(javax.transaction.xa.Xid xid)
                throws javax.transaction.xa.XAException

  Specified by:
    forget in interface javax.transaction.xa.XAResource

### internalForget

    public void internalForget(javax.transaction.xa.Xid xid,
                               boolean retry)
                        throws javax.transaction.xa.XAException

### recover

    public javax.transaction.xa.Xid[] recover(int flags)
                                       throws javax.transaction.xa.XAException

  Returns the full batch of Xids of unresolved transactions from the RM. Only TMSTARTRSCAN or TMSTARTRSCAN|TMENDRSCAN are accepted as valid flags.
  Specified by:
    recover in interface javax.transaction.xa.XAResource

### isSameRM

    public boolean isSameRM(javax.transaction.xa.XAResource xares)
                     throws javax.transaction.xa.XAException

  Specified by:
    isSameRM in interface javax.transaction.xa.XAResource

### getTransactionTimeout

    public int getTransactionTimeout()
                              throws javax.transaction.xa.XAException

  Specified by:
    getTransactionTimeout in interface javax.transaction.xa.XAResource

### setTransactionTimeout

    public boolean setTransactionTimeout(int seconds)
                                  throws javax.transaction.xa.XAException

  Specified by:
    setTransactionTimeout in interface javax.transaction.xa.XAResource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference